// =====================================================================
//  $Id: St02EventAction.hh,v 1.3 2003/10/06 16:28:19 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: St02EventAction.hh,v $
//  Revision 1.3  2003/10/06 16:28:19  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:16:34  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#ifndef __ST02EVENTACTION_HH
#define __ST02EVENTACTION_HH

#include "TEventAction.hh"

class TDataRecord;

class St02EventAction
  : public TEventAction
{

  public:
    St02EventAction();
    ~St02EventAction();

  public:
    TReadoutList* WaitEvent();
    Tvoid BeginOfEventAction( TEvent& anEvent );
    Tvoid EndOfEventAction( TEvent& anEvent );

  private:
    Tvoid fillEventInformation( const TDataRecord& record );

};

#endif
